package org.jboss.errai.ioc.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.editor.client.IsEditor;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.event.dom.client.HasAllDragAndDropHandlers;
import com.google.gwt.event.dom.client.HasAllFocusHandlers;
import com.google.gwt.event.dom.client.HasAllGestureHandlers;
import com.google.gwt.event.dom.client.HasAllKeyHandlers;
import com.google.gwt.event.dom.client.HasAllMouseHandlers;
import com.google.gwt.event.dom.client.HasAllTouchHandlers;
import com.google.gwt.event.dom.client.HasBlurHandlers;
import com.google.gwt.event.dom.client.HasChangeHandlers;
import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.event.dom.client.HasDoubleClickHandlers;
import com.google.gwt.event.dom.client.HasDragEndHandlers;
import com.google.gwt.event.dom.client.HasDragEnterHandlers;
import com.google.gwt.event.dom.client.HasDragHandlers;
import com.google.gwt.event.dom.client.HasDragLeaveHandlers;
import com.google.gwt.event.dom.client.HasDragOverHandlers;
import com.google.gwt.event.dom.client.HasDragStartHandlers;
import com.google.gwt.event.dom.client.HasDropHandlers;
import com.google.gwt.event.dom.client.HasFocusHandlers;
import com.google.gwt.event.dom.client.HasGestureChangeHandlers;
import com.google.gwt.event.dom.client.HasGestureEndHandlers;
import com.google.gwt.event.dom.client.HasGestureStartHandlers;
import com.google.gwt.event.dom.client.HasKeyDownHandlers;
import com.google.gwt.event.dom.client.HasKeyPressHandlers;
import com.google.gwt.event.dom.client.HasKeyUpHandlers;
import com.google.gwt.event.dom.client.HasMouseDownHandlers;
import com.google.gwt.event.dom.client.HasMouseMoveHandlers;
import com.google.gwt.event.dom.client.HasMouseOutHandlers;
import com.google.gwt.event.dom.client.HasMouseOverHandlers;
import com.google.gwt.event.dom.client.HasMouseUpHandlers;
import com.google.gwt.event.dom.client.HasMouseWheelHandlers;
import com.google.gwt.event.dom.client.HasTouchCancelHandlers;
import com.google.gwt.event.dom.client.HasTouchEndHandlers;
import com.google.gwt.event.dom.client.HasTouchMoveHandlers;
import com.google.gwt.event.dom.client.HasTouchStartHandlers;
import com.google.gwt.event.logical.shared.HasAttachHandlers;
import com.google.gwt.event.logical.shared.HasValueChangeHandlers;
import com.google.gwt.event.shared.HasHandlers;
import com.google.gwt.i18n.client.AutoDirectionHandler.Target;
import com.google.gwt.i18n.client.HasDirection;
import com.google.gwt.i18n.shared.HasDirectionEstimator;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ClientBundle.Source;
import com.google.gwt.resources.client.TextResource;
import com.google.gwt.safehtml.client.HasSafeHtml;
import com.google.gwt.user.client.EventListener;
import com.google.gwt.user.client.TakesValue;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.ButtonBase;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FocusWidget;
import com.google.gwt.user.client.ui.Focusable;
import com.google.gwt.user.client.ui.HasAutoHorizontalAlignment;
import com.google.gwt.user.client.ui.HasConstrainedValue;
import com.google.gwt.user.client.ui.HasDirectionalText;
import com.google.gwt.user.client.ui.HasEnabled;
import com.google.gwt.user.client.ui.HasFocus;
import com.google.gwt.user.client.ui.HasHTML;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasName;
import com.google.gwt.user.client.ui.HasText;
import com.google.gwt.user.client.ui.HasValue;
import com.google.gwt.user.client.ui.HasVisibility;
import com.google.gwt.user.client.ui.HasWordWrap;
import com.google.gwt.user.client.ui.IsRenderable;
import com.google.gwt.user.client.ui.IsWidget;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.LabelBase;
import com.google.gwt.user.client.ui.SourcesChangeEvents;
import com.google.gwt.user.client.ui.SourcesClickEvents;
import com.google.gwt.user.client.ui.SourcesFocusEvents;
import com.google.gwt.user.client.ui.SourcesKeyboardEvents;
import com.google.gwt.user.client.ui.SourcesMouseEvents;
import com.google.gwt.user.client.ui.TextBox;
import com.google.gwt.user.client.ui.TextBoxBase;
import com.google.gwt.user.client.ui.UIObject;
import com.google.gwt.user.client.ui.ValueBoxBase;
import com.google.gwt.user.client.ui.ValueListBox;
import com.google.gwt.user.client.ui.Widget;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.inject.Provider;
import org.jboss.errai.common.client.api.extension.InitVotes;
import org.jboss.errai.databinding.client.DataBinderProvider;
import org.jboss.errai.databinding.client.DataBindingModuleBootstrapper;
import org.jboss.errai.databinding.client.api.DataBinder;
import org.jboss.errai.demo.test.client.local.App;
import org.jboss.errai.demo.test.client.local.MyData;
import org.jboss.errai.demo.test.client.local.Page1;
import org.jboss.errai.demo.test.client.local.Page2;
import org.jboss.errai.enterprise.client.cdi.CDIEventTypeLookup;
import org.jboss.errai.enterprise.client.cdi.EventProvider;
import org.jboss.errai.enterprise.client.cdi.InstanceProvider;
import org.jboss.errai.enterprise.client.cdi.api.CDI;
import org.jboss.errai.ioc.client.api.ContextualTypeProvider;
import org.jboss.errai.ioc.client.api.builtin.CallerProvider;
import org.jboss.errai.ioc.client.api.builtin.DisposerProvider;
import org.jboss.errai.ioc.client.api.builtin.IOCBeanManagerProvider;
import org.jboss.errai.ioc.client.api.builtin.InitBallotProvider;
import org.jboss.errai.ioc.client.api.builtin.RootPanelProvider;
import org.jboss.errai.ioc.client.container.BeanProvider;
import org.jboss.errai.ioc.client.container.CreationalContext;
import org.jboss.errai.ioc.client.container.DestructionCallback;
import org.jboss.errai.ioc.client.container.InitializationCallback;
import org.jboss.errai.ioc.client.container.SimpleCreationalContext;
import org.jboss.errai.ioc.client.container.SyncBeanManager;
import org.jboss.errai.ioc.support.bus.client.BatchCallerProvider;
import org.jboss.errai.ioc.support.bus.client.MessageBusProvider;
import org.jboss.errai.ioc.support.bus.client.RequestDispatcherProvider;
import org.jboss.errai.ioc.support.bus.client.SenderProvider;
import org.jboss.errai.ui.client.local.spi.LessStyle;
import org.jboss.errai.ui.client.widget.ListWidgetProvider;
import org.jboss.errai.ui.client.widget.LocaleListBox;
import org.jboss.errai.ui.client.widget.LocaleSelector;
import org.jboss.errai.ui.nav.client.local.Navigation;
import org.jboss.errai.ui.nav.client.local.PageTransitionProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorFactoryProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorProvider;
import org.jboss.errai.ui.nav.client.local.TransitionTo;
import org.jboss.errai.ui.shared.Template;
import org.jboss.errai.ui.shared.TemplateUtil;

public class BootstrapperImpl implements Bootstrapper {
  {
    new CDI().initLookupTable(CDIEventTypeLookup.get());
    new DataBindingModuleBootstrapper().run();
  }
  private final SimpleInjectionContext injContext = new SimpleInjectionContext();
  private final SimpleCreationalContext context = injContext.getRootContext();
  private final BeanProvider<DataBinderProvider> inj1697_DataBinderProvider_creational = new BeanProvider<DataBinderProvider>() {
    public DataBinderProvider getInstance(final CreationalContext context) {
      final DataBinderProvider inj1680_DataBinderProvider = new DataBinderProvider();
      context.addBean(context.getBeanReference(DataBinderProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1680_DataBinderProvider);
      return inj1680_DataBinderProvider;
    }
  };
  private final DataBinderProvider inj1680_DataBinderProvider = inj1697_DataBinderProvider_creational.getInstance(context);
  private final BeanProvider<PageTransitionProvider> inj1698_PageTransitionProvider_creational = new BeanProvider<PageTransitionProvider>() {
    public PageTransitionProvider getInstance(final CreationalContext context) {
      final PageTransitionProvider inj1668_PageTransitionProvider = new PageTransitionProvider();
      context.addBean(context.getBeanReference(PageTransitionProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1668_PageTransitionProvider);
      return inj1668_PageTransitionProvider;
    }
  };
  private final PageTransitionProvider inj1668_PageTransitionProvider = inj1698_PageTransitionProvider_creational.getInstance(context);
  private final BeanProvider<MyData> inj1701_MyData_creational = new BeanProvider<MyData>() {
    public MyData getInstance(final CreationalContext context) {
      final MyData inj1700_MyData = new MyData();
      context.addBean(context.getBeanReference(MyData.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1700_MyData);
      return inj1700_MyData;
    }
  };
  private final MyData inj1700_MyData = inj1701_MyData_creational.getInstance(context);
  private final BeanProvider<Button> inj1702_Button_creational = new BeanProvider<Button>() {
    public Button getInstance(final CreationalContext context) {
      final Button inj787_Button = new Button();
      context.addBean(context.getBeanReference(Button.class, QualifierUtil.DEFAULT_QUALIFIERS), inj787_Button);
      return inj787_Button;
    }
  };
  private final BeanProvider<TextBox> inj1703_TextBox_creational = new BeanProvider<TextBox>() {
    public TextBox getInstance(final CreationalContext context) {
      final TextBox inj1468_TextBox = new TextBox();
      context.addBean(context.getBeanReference(TextBox.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1468_TextBox);
      return inj1468_TextBox;
    }
  };
  private final BeanProvider<Page1> inj1699_Page1_creational = new BeanProvider<Page1>() {
    public Page1 getInstance(final CreationalContext context) {
      final Page1 inj1031_Page1 = new Page1();
      context.addBean(context.getBeanReference(Page1.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1031_Page1);
      _$174411377__$483175978_dataBinder(inj1031_Page1, inj1680_DataBinderProvider.provide(new Class[] { MyData.class }, null));
      _$174411377__$1176552695_myData(inj1031_Page1, inj1700_MyData);
      _$174411377__$43818029_buttonClicked(inj1031_Page1, inj1668_PageTransitionProvider.provide(new Class[] { Page2.class }, null));
      _$174411377__2119756730_button(inj1031_Page1, inj1702_Button_creational.getInstance(context));
      _$174411377__$371269162_text(inj1031_Page1, inj1703_TextBox_creational.getInstance(context));
      context.addInitializationCallback(inj1031_Page1, new InitializationCallback<Page1>() {
        public void init(final Page1 obj) {
          org_jboss_errai_demo_test_client_local_Page1TemplateResource var1 = GWT.create(org_jboss_errai_demo_test_client_local_Page1TemplateResource.class);
          Element var2 = TemplateUtil.getRootTemplateElement(var1.getContents().getText(), "");
          TemplateUtil.translateTemplate("org/jboss/errai/demo/test/client/local/Page1.html", var2);
          Map<String, Element> var3 = TemplateUtil.getDataFieldElements(var2);
          Map<String, Widget> var4 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("org.jboss.errai.demo.test.client.local.Page1", "org/jboss/errai/demo/test/client/local/Page1.html", _$174411377__2119756730_button(inj1031_Page1), var3, "button");
          TemplateUtil.compositeComponentReplace("org.jboss.errai.demo.test.client.local.Page1", "org/jboss/errai/demo/test/client/local/Page1.html", _$174411377__$371269162_text(inj1031_Page1), var3, "text");
          var4.put("button", _$174411377__2119756730_button(inj1031_Page1));
          var4.put("text", _$174411377__$371269162_text(inj1031_Page1));
          TemplateUtil.initWidget(inj1031_Page1, var2, var4.values());
          ((HasClickHandlers) var4.get("button")).addClickHandler(new ClickHandler() {
            public void onClick(ClickEvent event) {
              inj1031_Page1.selectNext(event);
            }
          });
        }
      });
      context.addInitializationCallback(inj1031_Page1, new InitializationCallback<Page1>() {
        public void init(final Page1 obj) {
          DataBinder binder = _$174411377__$483175978_dataBinder(inj1031_Page1);
          if (binder == null) {
            throw new RuntimeException("@AutoBound data binder for class org.jboss.errai.demo.test.client.local.Page1 has not been initialized. Either initialize or add @Inject!");
          }
          binder.bind(_$174411377__$371269162_text(inj1031_Page1), "text", null);
        }
      });
      context.addDestructionCallback(inj1031_Page1, new DestructionCallback<Page1>() {
        public void destroy(final Page1 obj) {
          _$174411377__$483175978_dataBinder(inj1031_Page1).unbind();
        }
      });
      return inj1031_Page1;
    }
  };
  private final BeanProvider<InstanceProvider> inj1704_InstanceProvider_creational = new BeanProvider<InstanceProvider>() {
    public InstanceProvider getInstance(final CreationalContext context) {
      final InstanceProvider inj1684_InstanceProvider = new InstanceProvider();
      context.addBean(context.getBeanReference(InstanceProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1684_InstanceProvider);
      return inj1684_InstanceProvider;
    }
  };
  private final InstanceProvider inj1684_InstanceProvider = inj1704_InstanceProvider_creational.getInstance(context);
  private final BeanProvider<LocaleSelector> inj1706_LocaleSelector_creational = new BeanProvider<LocaleSelector>() {
    public LocaleSelector getInstance(final CreationalContext context) {
      final LocaleSelector inj1705_LocaleSelector = new LocaleSelector();
      context.addBean(context.getBeanReference(LocaleSelector.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1705_LocaleSelector);
      return inj1705_LocaleSelector;
    }
  };
  private final LocaleSelector inj1705_LocaleSelector = inj1706_LocaleSelector_creational.getInstance(context);
  private final BeanProvider<EventProvider> inj1707_EventProvider_creational = new BeanProvider<EventProvider>() {
    public EventProvider getInstance(final CreationalContext context) {
      final EventProvider inj1688_EventProvider = new EventProvider();
      context.addBean(context.getBeanReference(EventProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1688_EventProvider);
      return inj1688_EventProvider;
    }
  };
  private final EventProvider inj1688_EventProvider = inj1707_EventProvider_creational.getInstance(context);
  private final BeanProvider<SenderProvider> inj1708_SenderProvider_creational = new BeanProvider<SenderProvider>() {
    public SenderProvider getInstance(final CreationalContext context) {
      final SenderProvider inj1682_SenderProvider = new SenderProvider();
      context.addBean(context.getBeanReference(SenderProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1682_SenderProvider);
      return inj1682_SenderProvider;
    }
  };
  private final SenderProvider inj1682_SenderProvider = inj1708_SenderProvider_creational.getInstance(context);
  private final BeanProvider<Label> inj1710_Label_creational = new BeanProvider<Label>() {
    public Label getInstance(final CreationalContext context) {
      final Label inj896_Label = new Label();
      context.addBean(context.getBeanReference(Label.class, QualifierUtil.DEFAULT_QUALIFIERS), inj896_Label);
      return inj896_Label;
    }
  };
  private final BeanProvider<Page2> inj1709_Page2_creational = new BeanProvider<Page2>() {
    public Page2 getInstance(final CreationalContext context) {
      final Page2 inj1507_Page2 = new Page2();
      context.addBean(context.getBeanReference(Page2.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1507_Page2);
      _$174411376__$483175978_dataBinder(inj1507_Page2, inj1680_DataBinderProvider.provide(new Class[] { MyData.class }, null));
      _$174411376__$1176552695_myData(inj1507_Page2, inj1700_MyData);
      _$174411376__$1862661780_text(inj1507_Page2, inj1710_Label_creational.getInstance(context));
      context.addInitializationCallback(inj1507_Page2, new InitializationCallback<Page2>() {
        public void init(final Page2 obj) {
          org_jboss_errai_demo_test_client_local_Page2TemplateResource var5 = GWT.create(org_jboss_errai_demo_test_client_local_Page2TemplateResource.class);
          Element var6 = TemplateUtil.getRootTemplateElement(var5.getContents().getText(), "");
          TemplateUtil.translateTemplate("org/jboss/errai/demo/test/client/local/Page2.html", var6);
          Map<String, Element> var7 = TemplateUtil.getDataFieldElements(var6);
          Map<String, Widget> var8 = new LinkedHashMap<String, Widget>();
          TemplateUtil.compositeComponentReplace("org.jboss.errai.demo.test.client.local.Page2", "org/jboss/errai/demo/test/client/local/Page2.html", _$174411376__$1862661780_text(inj1507_Page2), var7, "text");
          var8.put("text", _$174411376__$1862661780_text(inj1507_Page2));
          TemplateUtil.initWidget(inj1507_Page2, var6, var8.values());
        }
      });
      context.addInitializationCallback(inj1507_Page2, new InitializationCallback<Page2>() {
        public void init(final Page2 obj) {
          DataBinder binder = _$174411376__$483175978_dataBinder(inj1507_Page2);
          if (binder == null) {
            throw new RuntimeException("@AutoBound data binder for class org.jboss.errai.demo.test.client.local.Page2 has not been initialized. Either initialize or add @Inject!");
          }
          binder.bind(_$174411376__$1862661780_text(inj1507_Page2), "text", null);
        }
      });
      context.addDestructionCallback(inj1507_Page2, new DestructionCallback<Page2>() {
        public void destroy(final Page2 obj) {
          _$174411376__$483175978_dataBinder(inj1507_Page2).unbind();
        }
      });
      return inj1507_Page2;
    }
  };
  private InitializationCallback<Navigation> init_inj1711_Navigation = new InitializationCallback<Navigation>() {
    public void init(final Navigation obj) {
      _136504311_init(obj);
    }
  };
  private DestructionCallback<Navigation> destroy_inj1711_Navigation = new DestructionCallback<Navigation>() {
    public void destroy(final Navigation obj) {
      _136504311_cleanUp(obj);
    }
  };
  private final BeanProvider<Navigation> inj1712_Navigation_creational = new BeanProvider<Navigation>() {
    public Navigation getInstance(final CreationalContext context) {
      final Navigation inj1711_Navigation = new Navigation();
      context.addBean(context.getBeanReference(Navigation.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1711_Navigation);
      context.addInitializationCallback(inj1711_Navigation, init_inj1711_Navigation);
      context.addDestructionCallback(inj1711_Navigation, destroy_inj1711_Navigation);
      return inj1711_Navigation;
    }
  };
  private final Navigation inj1711_Navigation = inj1712_Navigation_creational.getInstance(context);
  private final BeanProvider<IOCBeanManagerProvider> inj1713_IOCBeanManagerProvider_creational = new BeanProvider<IOCBeanManagerProvider>() {
    public IOCBeanManagerProvider getInstance(final CreationalContext context) {
      final IOCBeanManagerProvider inj1678_IOCBeanManagerProvider = new IOCBeanManagerProvider();
      context.addBean(context.getBeanReference(IOCBeanManagerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1678_IOCBeanManagerProvider);
      return inj1678_IOCBeanManagerProvider;
    }
  };
  private final IOCBeanManagerProvider inj1678_IOCBeanManagerProvider = inj1713_IOCBeanManagerProvider_creational.getInstance(context);
  private final BeanProvider<CallerProvider> inj1714_CallerProvider_creational = new BeanProvider<CallerProvider>() {
    public CallerProvider getInstance(final CreationalContext context) {
      final CallerProvider inj1692_CallerProvider = new CallerProvider();
      context.addBean(context.getBeanReference(CallerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1692_CallerProvider);
      return inj1692_CallerProvider;
    }
  };
  private final CallerProvider inj1692_CallerProvider = inj1714_CallerProvider_creational.getInstance(context);
  private final BeanProvider<InitBallotProvider> inj1715_InitBallotProvider_creational = new BeanProvider<InitBallotProvider>() {
    public InitBallotProvider getInstance(final CreationalContext context) {
      final InitBallotProvider inj1686_InitBallotProvider = new InitBallotProvider();
      context.addBean(context.getBeanReference(InitBallotProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1686_InitBallotProvider);
      return inj1686_InitBallotProvider;
    }
  };
  private final InitBallotProvider inj1686_InitBallotProvider = inj1715_InitBallotProvider_creational.getInstance(context);
  private final BeanProvider<MessageBusProvider> inj1716_MessageBusProvider_creational = new BeanProvider<MessageBusProvider>() {
    public MessageBusProvider getInstance(final CreationalContext context) {
      final MessageBusProvider inj1670_MessageBusProvider = new MessageBusProvider();
      context.addBean(context.getBeanReference(MessageBusProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1670_MessageBusProvider);
      return inj1670_MessageBusProvider;
    }
  };
  private final MessageBusProvider inj1670_MessageBusProvider = inj1716_MessageBusProvider_creational.getInstance(context);
  private final BeanProvider<RequestDispatcherProvider> inj1717_RequestDispatcherProvider_creational = new BeanProvider<RequestDispatcherProvider>() {
    public RequestDispatcherProvider getInstance(final CreationalContext context) {
      final RequestDispatcherProvider inj1672_RequestDispatcherProvider = new RequestDispatcherProvider();
      context.addBean(context.getBeanReference(RequestDispatcherProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1672_RequestDispatcherProvider);
      return inj1672_RequestDispatcherProvider;
    }
  };
  private final RequestDispatcherProvider inj1672_RequestDispatcherProvider = inj1717_RequestDispatcherProvider_creational.getInstance(context);
  private final BeanProvider<TransitionAnchorProvider> inj1718_TransitionAnchorProvider_creational = new BeanProvider<TransitionAnchorProvider>() {
    public TransitionAnchorProvider getInstance(final CreationalContext context) {
      final TransitionAnchorProvider inj1690_TransitionAnchorProvider = new TransitionAnchorProvider();
      context.addBean(context.getBeanReference(TransitionAnchorProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1690_TransitionAnchorProvider);
      _$1034438370__136504311_navigation(inj1690_TransitionAnchorProvider, inj1711_Navigation);
      return inj1690_TransitionAnchorProvider;
    }
  };
  private final TransitionAnchorProvider inj1690_TransitionAnchorProvider = inj1718_TransitionAnchorProvider_creational.getInstance(context);
  private final BeanProvider<TransitionAnchorFactoryProvider> inj1719_TransitionAnchorFactoryProvider_creational = new BeanProvider<TransitionAnchorFactoryProvider>() {
    public TransitionAnchorFactoryProvider getInstance(final CreationalContext context) {
      final TransitionAnchorFactoryProvider inj1696_TransitionAnchorFactoryProvider = new TransitionAnchorFactoryProvider();
      context.addBean(context.getBeanReference(TransitionAnchorFactoryProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1696_TransitionAnchorFactoryProvider);
      _1496760654__136504311_navigation(inj1696_TransitionAnchorFactoryProvider, inj1711_Navigation);
      return inj1696_TransitionAnchorFactoryProvider;
    }
  };
  private final TransitionAnchorFactoryProvider inj1696_TransitionAnchorFactoryProvider = inj1719_TransitionAnchorFactoryProvider_creational.getInstance(context);
  private final BeanProvider<RootPanelProvider> inj1720_RootPanelProvider_creational = new BeanProvider<RootPanelProvider>() {
    public RootPanelProvider getInstance(final CreationalContext context) {
      final RootPanelProvider inj1676_RootPanelProvider = new RootPanelProvider();
      context.addBean(context.getBeanReference(RootPanelProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1676_RootPanelProvider);
      return inj1676_RootPanelProvider;
    }
  };
  private final RootPanelProvider inj1676_RootPanelProvider = inj1720_RootPanelProvider_creational.getInstance(context);
  private final BeanProvider<ListWidgetProvider> inj1721_ListWidgetProvider_creational = new BeanProvider<ListWidgetProvider>() {
    public ListWidgetProvider getInstance(final CreationalContext context) {
      final ListWidgetProvider inj1666_ListWidgetProvider = new ListWidgetProvider();
      context.addBean(context.getBeanReference(ListWidgetProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1666_ListWidgetProvider);
      return inj1666_ListWidgetProvider;
    }
  };
  private final ListWidgetProvider inj1666_ListWidgetProvider = inj1721_ListWidgetProvider_creational.getInstance(context);
  private final BeanProvider<LocaleListBox> inj1723_LocaleListBox_creational = new BeanProvider<LocaleListBox>() {
    public LocaleListBox getInstance(final CreationalContext context) {
      final LocaleListBox inj1722_LocaleListBox = new LocaleListBox();
      context.addBean(context.getBeanReference(LocaleListBox.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1722_LocaleListBox);
      _1350680564__$1232121576_selector(inj1722_LocaleListBox, inj1705_LocaleSelector);
      InitVotes.registerOneTimeInitCallback(new Runnable() {
        public void run() {
          inj1722_LocaleListBox.init();
        }
      });
      return inj1722_LocaleListBox;
    }
  };
  private InitializationCallback<App> init_inj1724_App = new InitializationCallback<App>() {
    public void init(final App obj) {
      _1698126702_clientMain(obj);
    }
  };
  private final BeanProvider<App> inj1725_App_creational = new BeanProvider<App>() {
    public App getInstance(final CreationalContext context) {
      final App inj1724_App = new App();
      context.addBean(context.getBeanReference(App.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1724_App);
      _1698126702__136504311_navigation(inj1724_App, inj1711_Navigation);
      context.addInitializationCallback(inj1724_App, init_inj1724_App);
      return inj1724_App;
    }
  };
  private final App inj1724_App = inj1725_App_creational.getInstance(context);
  private InitializationCallback<LessStyle> init_inj1726_LessStyle = new InitializationCallback<LessStyle>() {
    public void init(final LessStyle obj) {
      obj.init();
    }
  };
  private final BeanProvider<LessStyle> inj1727_LessStyle_creational = new BeanProvider<LessStyle>() {
    public LessStyle getInstance(final CreationalContext context) {
      final LessStyle inj1726_LessStyle = new LessStyle();
      context.addBean(context.getBeanReference(LessStyle.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1726_LessStyle);
      context.addInitializationCallback(inj1726_LessStyle, init_inj1726_LessStyle);
      return inj1726_LessStyle;
    }
  };
  private final LessStyle inj1726_LessStyle = inj1727_LessStyle_creational.getInstance(context);
  private final BeanProvider<DisposerProvider> inj1728_DisposerProvider_creational = new BeanProvider<DisposerProvider>() {
    public DisposerProvider getInstance(final CreationalContext context) {
      final DisposerProvider inj1694_DisposerProvider = new DisposerProvider();
      context.addBean(context.getBeanReference(DisposerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1694_DisposerProvider);
      _$1300398733__$652658075_beanManager(inj1694_DisposerProvider, inj1678_IOCBeanManagerProvider.get());
      return inj1694_DisposerProvider;
    }
  };
  private final DisposerProvider inj1694_DisposerProvider = inj1728_DisposerProvider_creational.getInstance(context);
  private final BeanProvider<BatchCallerProvider> inj1729_BatchCallerProvider_creational = new BeanProvider<BatchCallerProvider>() {
    public BatchCallerProvider getInstance(final CreationalContext context) {
      final BatchCallerProvider inj1674_BatchCallerProvider = new BatchCallerProvider();
      context.addBean(context.getBeanReference(BatchCallerProvider.class, QualifierUtil.DEFAULT_QUALIFIERS), inj1674_BatchCallerProvider);
      return inj1674_BatchCallerProvider;
    }
  };
  private final BatchCallerProvider inj1674_BatchCallerProvider = inj1729_BatchCallerProvider_creational.getInstance(context);
  public interface org_jboss_errai_demo_test_client_local_Page1TemplateResource extends Template, ClientBundle {
  @Source("org/jboss/errai/demo/test/client/local/Page1.html") public TextResource getContents(); }
  public interface org_jboss_errai_demo_test_client_local_Page2TemplateResource extends Template, ClientBundle {
  @Source("org/jboss/errai/demo/test/client/local/Page2.html") public TextResource getContents(); }
  private void declareBeans_0() {
    injContext.addBean(DataBinderProvider.class, DataBinderProvider.class, inj1697_DataBinderProvider_creational, inj1680_DataBinderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, DataBinderProvider.class, inj1697_DataBinderProvider_creational, inj1680_DataBinderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(PageTransitionProvider.class, PageTransitionProvider.class, inj1698_PageTransitionProvider_creational, inj1668_PageTransitionProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, PageTransitionProvider.class, inj1698_PageTransitionProvider_creational, inj1668_PageTransitionProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(MyData.class, MyData.class, inj1701_MyData_creational, inj1700_MyData, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Button.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ButtonBase.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHTML.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasText.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasSafeHtml.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(FocusWidget.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesClickEvents.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasClickHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDoubleClickHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocus.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Focusable.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesFocusEvents.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesKeyboardEvents.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasEnabled.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllDragAndDropHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEndHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEnterHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragLeaveHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragOverHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragStartHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDropHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllFocusHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocusHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasBlurHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllGestureHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureStartHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureChangeHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureEndHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllKeyHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyUpHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyDownHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyPressHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllMouseHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseDownHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseUpHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOutHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOverHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseMoveHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseWheelHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllTouchHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchStartHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchMoveHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchEndHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchCancelHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesMouseEvents.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, Button.class, inj1702_Button_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TextBox.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(TextBoxBase.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesChangeEvents.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ValueBoxBase.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasChangeHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasName.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionEstimator.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValue.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TakesValue.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValueChangeHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Target.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasText.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirection.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyUpHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(FocusWidget.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesClickEvents.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasClickHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDoubleClickHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocus.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Focusable.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesFocusEvents.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesKeyboardEvents.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasEnabled.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllDragAndDropHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEndHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEnterHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragLeaveHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragOverHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragStartHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDropHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllFocusHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasFocusHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasBlurHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllGestureHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureStartHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureChangeHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureEndHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllKeyHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyDownHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasKeyPressHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllMouseHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseDownHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseUpHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOutHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOverHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseMoveHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseWheelHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllTouchHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchStartHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchMoveHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchEndHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchCancelHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesMouseEvents.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, TextBox.class, inj1703_TextBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Page1.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Composite.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, Page1.class, inj1699_Page1_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(InstanceProvider.class, InstanceProvider.class, inj1704_InstanceProvider_creational, inj1684_InstanceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, InstanceProvider.class, inj1704_InstanceProvider_creational, inj1684_InstanceProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LocaleSelector.class, LocaleSelector.class, inj1706_LocaleSelector_creational, inj1705_LocaleSelector, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(EventProvider.class, EventProvider.class, inj1707_EventProvider_creational, inj1688_EventProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, EventProvider.class, inj1707_EventProvider_creational, inj1688_EventProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SenderProvider.class, SenderProvider.class, inj1708_SenderProvider_creational, inj1682_SenderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, SenderProvider.class, inj1708_SenderProvider_creational, inj1682_SenderProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Label.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(HasDirectionalText.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasText.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirection.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasClickHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDoubleClickHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesClickEvents.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(SourcesMouseEvents.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllDragAndDropHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEndHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragEnterHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragLeaveHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragOverHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDragStartHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDropHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllGestureHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureStartHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureChangeHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasGestureEndHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllMouseHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseDownHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseUpHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOutHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseOverHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseMoveHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasMouseWheelHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAllTouchHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchStartHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchMoveHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchEndHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasTouchCancelHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LabelBase.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasWordWrap.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasDirectionEstimator.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAutoHorizontalAlignment.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHorizontalAlignment.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, Label.class, inj1710_Label_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Page2.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Composite.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, Page2.class, inj1709_Page2_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Navigation.class, Navigation.class, inj1712_Navigation_creational, inj1711_Navigation, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(IOCBeanManagerProvider.class, IOCBeanManagerProvider.class, inj1713_IOCBeanManagerProvider_creational, inj1678_IOCBeanManagerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, IOCBeanManagerProvider.class, inj1713_IOCBeanManagerProvider_creational, inj1678_IOCBeanManagerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(CallerProvider.class, CallerProvider.class, inj1714_CallerProvider_creational, inj1692_CallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, CallerProvider.class, inj1714_CallerProvider_creational, inj1692_CallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(InitBallotProvider.class, InitBallotProvider.class, inj1715_InitBallotProvider_creational, inj1686_InitBallotProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, InitBallotProvider.class, inj1715_InitBallotProvider_creational, inj1686_InitBallotProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(MessageBusProvider.class, MessageBusProvider.class, inj1716_MessageBusProvider_creational, inj1670_MessageBusProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, MessageBusProvider.class, inj1716_MessageBusProvider_creational, inj1670_MessageBusProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(RequestDispatcherProvider.class, RequestDispatcherProvider.class, inj1717_RequestDispatcherProvider_creational, inj1672_RequestDispatcherProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, RequestDispatcherProvider.class, inj1717_RequestDispatcherProvider_creational, inj1672_RequestDispatcherProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TransitionAnchorProvider.class, TransitionAnchorProvider.class, inj1718_TransitionAnchorProvider_creational, inj1690_TransitionAnchorProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, TransitionAnchorProvider.class, inj1718_TransitionAnchorProvider_creational, inj1690_TransitionAnchorProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TransitionAnchorFactoryProvider.class, TransitionAnchorFactoryProvider.class, inj1719_TransitionAnchorFactoryProvider_creational, inj1696_TransitionAnchorFactoryProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, TransitionAnchorFactoryProvider.class, inj1719_TransitionAnchorFactoryProvider_creational, inj1696_TransitionAnchorFactoryProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(RootPanelProvider.class, RootPanelProvider.class, inj1720_RootPanelProvider_creational, inj1676_RootPanelProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, RootPanelProvider.class, inj1720_RootPanelProvider_creational, inj1676_RootPanelProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(ListWidgetProvider.class, ListWidgetProvider.class, inj1721_ListWidgetProvider_creational, inj1666_ListWidgetProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, ListWidgetProvider.class, inj1721_ListWidgetProvider_creational, inj1666_ListWidgetProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(LocaleListBox.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ValueListBox.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasConstrainedValue.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValue.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(TakesValue.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasValueChangeHandlers.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasHandlers.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsEditor.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Composite.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsRenderable.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(Widget.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(EventListener.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasAttachHandlers.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(IsWidget.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(UIObject.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(HasVisibility.class, LocaleListBox.class, inj1723_LocaleListBox_creational, null, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(App.class, App.class, inj1725_App_creational, inj1724_App, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(LessStyle.class, LessStyle.class, inj1727_LessStyle_creational, inj1726_LessStyle, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(DisposerProvider.class, DisposerProvider.class, inj1728_DisposerProvider_creational, inj1694_DisposerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(ContextualTypeProvider.class, DisposerProvider.class, inj1728_DisposerProvider_creational, inj1694_DisposerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
    injContext.addBean(BatchCallerProvider.class, BatchCallerProvider.class, inj1729_BatchCallerProvider_creational, inj1674_BatchCallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, true);
    injContext.addBean(Provider.class, BatchCallerProvider.class, inj1729_BatchCallerProvider_creational, inj1674_BatchCallerProvider, QualifierUtil.DEFAULT_QUALIFIERS, null, false);
  }

  private native static Label _$174411376__$1862661780_text(Page2 instance) /*-{
    return instance.@org.jboss.errai.demo.test.client.local.Page2::text;
  }-*/;

  private native static void _$174411376__$1862661780_text(Page2 instance, Label value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page2::text = value;
  }-*/;

  private native static DataBinder _$174411376__$483175978_dataBinder(Page2 instance) /*-{
    return instance.@org.jboss.errai.demo.test.client.local.Page2::dataBinder;
  }-*/;

  private native static void _$174411376__$483175978_dataBinder(Page2 instance, DataBinder<MyData> value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page2::dataBinder = value;
  }-*/;

  private native static TextBox _$174411377__$371269162_text(Page1 instance) /*-{
    return instance.@org.jboss.errai.demo.test.client.local.Page1::text;
  }-*/;

  private native static void _$174411377__$371269162_text(Page1 instance, TextBox value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page1::text = value;
  }-*/;

  private native static void _$174411376__$1176552695_myData(Page2 instance, MyData value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page2::myData = value;
  }-*/;

  private native static void _1698126702__136504311_navigation(App instance, Navigation value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.App::navigation = value;
  }-*/;

  private native static void _1496760654__136504311_navigation(TransitionAnchorFactoryProvider instance, Navigation value) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.TransitionAnchorFactoryProvider::navigation = value;
  }-*/;

  private native static void _$1300398733__$652658075_beanManager(DisposerProvider instance, SyncBeanManager value) /*-{
    instance.@org.jboss.errai.ioc.client.api.builtin.DisposerProvider::beanManager = value;
  }-*/;

  private native static Button _$174411377__2119756730_button(Page1 instance) /*-{
    return instance.@org.jboss.errai.demo.test.client.local.Page1::button;
  }-*/;

  private native static void _$174411377__2119756730_button(Page1 instance, Button value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page1::button = value;
  }-*/;

  private native static void _$174411377__$1176552695_myData(Page1 instance, MyData value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page1::myData = value;
  }-*/;

  private native static DataBinder _$174411377__$483175978_dataBinder(Page1 instance) /*-{
    return instance.@org.jboss.errai.demo.test.client.local.Page1::dataBinder;
  }-*/;

  private native static void _$174411377__$483175978_dataBinder(Page1 instance, DataBinder<MyData> value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page1::dataBinder = value;
  }-*/;

  private native static void _1350680564__$1232121576_selector(LocaleListBox instance, LocaleSelector value) /*-{
    instance.@org.jboss.errai.ui.client.widget.LocaleListBox::selector = value;
  }-*/;

  private native static void _$1034438370__136504311_navigation(TransitionAnchorProvider instance, Navigation value) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.TransitionAnchorProvider::navigation = value;
  }-*/;

  private native static void _$174411377__$43818029_buttonClicked(Page1 instance, TransitionTo<Page2> value) /*-{
    instance.@org.jboss.errai.demo.test.client.local.Page1::buttonClicked = value;
  }-*/;

  public native static void _136504311_init(Navigation instance) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.Navigation::init()();
  }-*/;

  public native static void _136504311_cleanUp(Navigation instance) /*-{
    instance.@org.jboss.errai.ui.nav.client.local.Navigation::cleanUp()();
  }-*/;

  public native static void _1698126702_clientMain(App instance) /*-{
    instance.@org.jboss.errai.demo.test.client.local.App::clientMain()();
  }-*/;

  // The main IOC bootstrap method.
  public SimpleInjectionContext bootstrapContainer() {
    declareBeans_0();
    return injContext;
  }
}