package org.jboss.errai.marshalling.client.api;

import java.util.AbstractMap;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.SortedMap;
import java.util.TreeMap;
import javax.enterprise.context.Dependent;
import org.jboss.errai.marshalling.client.api.json.EJObject;
import org.jboss.errai.marshalling.client.api.json.EJValue;
import org.jboss.errai.marshalling.client.marshallers.BigDecimalMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BigIntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.BooleanMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ByteMarshaller;
import org.jboss.errai.marshalling.client.marshallers.CharacterMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.DoubleMarshaller;
import org.jboss.errai.marshalling.client.marshallers.FloatMarshaller;
import org.jboss.errai.marshalling.client.marshallers.IntegerMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedHashSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LinkedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ListMarshaller;
import org.jboss.errai.marshalling.client.marshallers.LongMarshaller;
import org.jboss.errai.marshalling.client.marshallers.MapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ObjectMarshaller;
import org.jboss.errai.marshalling.client.marshallers.PriorityQueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.QualifyingMarshallerWrapper;
import org.jboss.errai.marshalling.client.marshallers.QueueMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SQLDateMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.ShortMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedMapMarshaller;
import org.jboss.errai.marshalling.client.marshallers.SortedSetMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBufferMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringBuilderMarshaller;
import org.jboss.errai.marshalling.client.marshallers.StringMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimeMarshaller;
import org.jboss.errai.marshalling.client.marshallers.TimestampMarshaller;
import org.jboss.errai.ui.nav.client.local.NavigationEvent;
import org.jboss.errai.ui.nav.client.local.PageRequest;
import org.jboss.errai.ui.shared.api.Locale;
@Dependent public class MarshallerFactoryImpl implements MarshallerFactory {
  private Map<String, Marshaller> marshallers = new HashMap<String, Marshaller>();
  private ObjectMarshaller java_lang_Object;
  private BooleanMarshaller java_lang_Boolean;
  private SortedSetMarshaller java_util_SortedSet;
  private SortedSetMarshaller java_util_TreeSet;
  private IntegerMarshaller java_lang_Integer;
  private TimestampMarshaller java_sql_Timestamp;
  private ListMarshaller java_util_List;
  private ListMarshaller java_util_AbstractList;
  private ListMarshaller java_util_ArrayList;
  private ListMarshaller java_util_Vector;
  private ListMarshaller java_util_Stack;
  private StringMarshaller java_lang_String;
  private PriorityQueueMarshaller java_util_PriorityQueue;
  private QualifyingMarshallerWrapper<SortedMap> java_util_SortedMap;
  private QualifyingMarshallerWrapper<TreeMap> java_util_TreeMap;
  private BigIntegerMarshaller java_math_BigInteger;
  private CharacterMarshaller java_lang_Character;
  private ShortMarshaller java_lang_Short;
  private ByteMarshaller java_lang_Byte;
  private TimeMarshaller java_sql_Time;
  private BigDecimalMarshaller java_math_BigDecimal;
  private DateMarshaller java_util_Date;
  private LinkedListMarshaller java_util_LinkedList;
  private LongMarshaller java_lang_Long;
  private QualifyingMarshallerWrapper<Map> java_util_Map;
  private QualifyingMarshallerWrapper<AbstractMap> java_util_AbstractMap;
  private QualifyingMarshallerWrapper<HashMap> java_util_HashMap;
  private StringBufferMarshaller java_lang_StringBuffer;
  private QueueMarshaller java_util_Queue;
  private QueueMarshaller java_util_AbstractQueue;
  private QualifyingMarshallerWrapper<LinkedHashMap> java_util_LinkedHashMap;
  private DoubleMarshaller java_lang_Double;
  private SQLDateMarshaller java_sql_Date;
  private SetMarshaller java_util_Set;
  private SetMarshaller java_util_AbstractSet;
  private SetMarshaller java_util_HashSet;
  private LinkedHashSetMarshaller java_util_LinkedHashSet;
  private StringBuilderMarshaller java_lang_StringBuilder;
  private FloatMarshaller java_lang_Float;
  private Marshaller<NavigationEvent> org_jboss_errai_ui_nav_client_local_NavigationEvent;
  private Marshaller<PageRequest> org_jboss_errai_ui_nav_client_local_PageRequest;
  private Marshaller<Locale> org_jboss_errai_ui_shared_api_Locale;
  public MarshallerFactoryImpl() {
    java_lang_Object = new ObjectMarshaller();
    marshallers.put("java.lang.Object", java_lang_Object);
    java_lang_Boolean = new BooleanMarshaller();
    marshallers.put("java.lang.Boolean", java_lang_Boolean);
    java_util_SortedSet = new SortedSetMarshaller();
    marshallers.put("java.util.SortedSet", java_util_SortedSet);
    marshallers.put("java.util.TreeSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$SynchronizedSortedSet", java_util_SortedSet);
    marshallers.put("java.util.Collections$UnmodifiableSortedSet", java_util_SortedSet);
    java_util_TreeSet = new SortedSetMarshaller();
    marshallers.put("java.util.TreeSet", java_util_TreeSet);
    java_lang_Integer = new IntegerMarshaller();
    marshallers.put("java.lang.Integer", java_lang_Integer);
    java_sql_Timestamp = new TimestampMarshaller();
    marshallers.put("java.sql.Timestamp", java_sql_Timestamp);
    java_util_List = new ListMarshaller();
    marshallers.put("java.util.List", java_util_List);
    marshallers.put("java.util.AbstractList", java_util_List);
    marshallers.put("java.util.ArrayList", java_util_List);
    marshallers.put("java.util.Vector", java_util_List);
    marshallers.put("java.util.Stack", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$SingletonList", java_util_List);
    marshallers.put("java.util.Collections$SynchronizedList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableRandomAccessList", java_util_List);
    marshallers.put("java.util.Collections$UnmodifiableList", java_util_List);
    marshallers.put("java.util.Collections$EmptyList", java_util_List);
    marshallers.put("java.util.Arrays$ArrayList", java_util_List);
    java_util_AbstractList = new ListMarshaller();
    marshallers.put("java.util.AbstractList", java_util_AbstractList);
    java_util_ArrayList = new ListMarshaller();
    marshallers.put("java.util.ArrayList", java_util_ArrayList);
    java_util_Vector = new ListMarshaller();
    marshallers.put("java.util.Vector", java_util_Vector);
    java_util_Stack = new ListMarshaller();
    marshallers.put("java.util.Stack", java_util_Stack);
    java_lang_String = new StringMarshaller();
    marshallers.put("java.lang.String", java_lang_String);
    java_util_PriorityQueue = new PriorityQueueMarshaller();
    marshallers.put("java.util.PriorityQueue", java_util_PriorityQueue);
    java_util_SortedMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.SortedMap", java_util_SortedMap);
    marshallers.put("java.util.TreeMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$UnmodifiableSortedMap", java_util_SortedMap);
    marshallers.put("java.util.Collections$SynchronizedSortedMap", java_util_SortedMap);
    java_util_TreeMap = new QualifyingMarshallerWrapper(new SortedMapMarshaller(), SortedMapMarshaller.class);
    marshallers.put("java.util.TreeMap", java_util_TreeMap);
    java_math_BigInteger = new BigIntegerMarshaller();
    marshallers.put("java.math.BigInteger", java_math_BigInteger);
    java_lang_Character = new CharacterMarshaller();
    marshallers.put("java.lang.Character", java_lang_Character);
    java_lang_Short = new ShortMarshaller();
    marshallers.put("java.lang.Short", java_lang_Short);
    java_lang_Byte = new ByteMarshaller();
    marshallers.put("java.lang.Byte", java_lang_Byte);
    java_sql_Time = new TimeMarshaller();
    marshallers.put("java.sql.Time", java_sql_Time);
    java_math_BigDecimal = new BigDecimalMarshaller();
    marshallers.put("java.math.BigDecimal", java_math_BigDecimal);
    java_util_Date = new DateMarshaller();
    marshallers.put("java.util.Date", java_util_Date);
    java_util_LinkedList = new LinkedListMarshaller();
    marshallers.put("java.util.LinkedList", java_util_LinkedList);
    java_lang_Long = new LongMarshaller();
    marshallers.put("java.lang.Long", java_lang_Long);
    java_util_Map = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.Map", java_util_Map);
    marshallers.put("java.util.AbstractMap", java_util_Map);
    marshallers.put("java.util.HashMap", java_util_Map);
    marshallers.put("java.util.Collections$UnmodifiableMap", java_util_Map);
    marshallers.put("java.util.Collections$SingletonMap", java_util_Map);
    marshallers.put("java.util.Collections$EmptyMap", java_util_Map);
    marshallers.put("java.util.Collections$SynchronizedMap", java_util_Map);
    java_util_AbstractMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.AbstractMap", java_util_AbstractMap);
    java_util_HashMap = new QualifyingMarshallerWrapper(new MapMarshaller(), MapMarshaller.class);
    marshallers.put("java.util.HashMap", java_util_HashMap);
    java_lang_StringBuffer = new StringBufferMarshaller();
    marshallers.put("java.lang.StringBuffer", java_lang_StringBuffer);
    java_util_Queue = new QueueMarshaller();
    marshallers.put("java.util.Queue", java_util_Queue);
    marshallers.put("java.util.AbstractQueue", java_util_Queue);
    java_util_AbstractQueue = new QueueMarshaller();
    marshallers.put("java.util.AbstractQueue", java_util_AbstractQueue);
    java_util_LinkedHashMap = new QualifyingMarshallerWrapper(new LinkedMapMarshaller(), LinkedMapMarshaller.class);
    marshallers.put("java.util.LinkedHashMap", java_util_LinkedHashMap);
    java_lang_Double = new DoubleMarshaller();
    marshallers.put("java.lang.Double", java_lang_Double);
    java_sql_Date = new SQLDateMarshaller();
    marshallers.put("java.sql.Date", java_sql_Date);
    java_util_Set = new SetMarshaller();
    marshallers.put("java.util.Set", java_util_Set);
    marshallers.put("java.util.AbstractSet", java_util_Set);
    marshallers.put("java.util.HashSet", java_util_Set);
    marshallers.put("java.util.Collections$SynchronizedSet", java_util_Set);
    marshallers.put("java.util.Collections$SingletonSet", java_util_Set);
    marshallers.put("java.util.Collections$UnmodifiableSet", java_util_Set);
    marshallers.put("java.util.Collections$EmptySet", java_util_Set);
    java_util_AbstractSet = new SetMarshaller();
    marshallers.put("java.util.AbstractSet", java_util_AbstractSet);
    java_util_HashSet = new SetMarshaller();
    marshallers.put("java.util.HashSet", java_util_HashSet);
    java_util_LinkedHashSet = new LinkedHashSetMarshaller();
    marshallers.put("java.util.LinkedHashSet", java_util_LinkedHashSet);
    java_lang_StringBuilder = new StringBuilderMarshaller();
    marshallers.put("java.lang.StringBuilder", java_lang_StringBuilder);
    java_lang_Float = new FloatMarshaller();
    marshallers.put("java.lang.Float", java_lang_Float);
    org_jboss_errai_ui_nav_client_local_NavigationEvent = new Marshaller<NavigationEvent>() {
      private NavigationEvent[] EMPTY_ARRAY = new NavigationEvent[0];
      public NavigationEvent[] getEmptyArray() {
        return EMPTY_ARRAY;
      }
      public NavigationEvent demarshall(EJValue a0, MarshallingSession a1) {
        EJObject obj = a0.isObject();
        if (obj == null) {
          return null;
        }
        String objId = obj.get("^ObjectID").isString().stringValue();
        if (a1.hasObject(objId)) {
          return a1.getObject(NavigationEvent.class, objId);
        }
        final PageRequest c0 = org_jboss_errai_ui_nav_client_local_PageRequest.demarshall(obj.get("pageRequest"), a1);
        NavigationEvent entity = new NavigationEvent(c0);
        a1.recordObject(objId, entity);
        return entity;
      }
      public String marshall(NavigationEvent a0, MarshallingSession a1) {
        if (a0 == null) {
          return "null";
        }
        final boolean ref = a1.hasObject(a0);
        final StringBuilder json = new StringBuilder("{\"^EncodedType\":\"org.jboss.errai.ui.nav.client.local.NavigationEvent\",\"^ObjectID\"");
        json.append(":\"").append(a1.getObject(a0)).append("\"");
        if (ref) {
          return json.append("}").toString();
        }
        return json.append(",").append("\"pageRequest\":").append(org_jboss_errai_ui_nav_client_local_PageRequest.marshall(a0.getPageRequest(), a1)).append("}").toString();
      }
    };
    marshallers.put("org.jboss.errai.ui.nav.client.local.NavigationEvent", org_jboss_errai_ui_nav_client_local_NavigationEvent);
    org_jboss_errai_ui_nav_client_local_PageRequest = new Marshaller<PageRequest>() {
      private PageRequest[] EMPTY_ARRAY = new PageRequest[0];
      public PageRequest[] getEmptyArray() {
        return EMPTY_ARRAY;
      }
      public PageRequest demarshall(EJValue a0, MarshallingSession a1) {
        EJObject obj = a0.isObject();
        if (obj == null) {
          return null;
        }
        String objId = obj.get("^ObjectID").isString().stringValue();
        if (a1.hasObject(objId)) {
          return a1.getObject(PageRequest.class, objId);
        }
        final String c0 = java_lang_String.demarshall(obj.get("pageName"), a1);
        a1.setAssumedMapKeyType("java.lang.String");
        a1.setAssumedMapValueType("java.lang.Object");
        final Map c1 = (Map) java_util_Map.demarshall(obj.get("state"), a1);
        a1.resetAssumedTypes();
        PageRequest entity = new PageRequest(c0, c1);
        a1.recordObject(objId, entity);
        return entity;
      }
      public String marshall(PageRequest a0, MarshallingSession a1) {
        if (a0 == null) {
          return "null";
        }
        final boolean ref = a1.hasObject(a0);
        final StringBuilder json = new StringBuilder("{\"^EncodedType\":\"org.jboss.errai.ui.nav.client.local.PageRequest\",\"^ObjectID\"");
        json.append(":\"").append(a1.getObject(a0)).append("\"");
        if (ref) {
          return json.append("}").toString();
        }
        return json.append(",").append("\"pageName\":").append(java_lang_String.marshall(a0.getPageName(), a1)).append(",").append("\"state\":").append(java_util_Map.marshall(a0.getState(), a1)).append("}").toString();
      }
    };
    marshallers.put("org.jboss.errai.ui.nav.client.local.PageRequest", org_jboss_errai_ui_nav_client_local_PageRequest);
    org_jboss_errai_ui_shared_api_Locale = new Marshaller<Locale>() {
      private Locale[] EMPTY_ARRAY = new Locale[0];
      public Locale[] getEmptyArray() {
        return EMPTY_ARRAY;
      }
      public Locale demarshall(EJValue a0, MarshallingSession a1) {
        EJObject obj = a0.isObject();
        if (obj == null) {
          return null;
        }
        String objId = obj.get("^ObjectID").isString().stringValue();
        if (a1.hasObject(objId)) {
          return a1.getObject(Locale.class, objId);
        }
        final String c0 = java_lang_String.demarshall(obj.get("locale"), a1);
        final String c1 = java_lang_String.demarshall(obj.get("label"), a1);
        Locale entity = new Locale(c0, c1);
        a1.recordObject(objId, entity);
        return entity;
      }
      public String marshall(Locale a0, MarshallingSession a1) {
        if (a0 == null) {
          return "null";
        }
        final boolean ref = a1.hasObject(a0);
        final StringBuilder json = new StringBuilder("{\"^EncodedType\":\"org.jboss.errai.ui.shared.api.Locale\",\"^ObjectID\"");
        json.append(":\"").append(a1.getObject(a0)).append("\"");
        if (ref) {
          return json.append("}").toString();
        }
        return json.append(",").append("\"locale\":").append(java_lang_String.marshall(a0.getLocale(), a1)).append(",").append("\"label\":").append(java_lang_String.marshall(a0.getLabel(), a1)).append("}").toString();
      }
    };
    marshallers.put("org.jboss.errai.ui.shared.api.Locale", org_jboss_errai_ui_shared_api_Locale);
  }

  public Marshaller getMarshaller(String a0, String a1) {
    return marshallers.get(a1);
  }
}